Upgrading python under MacOSX

Morning all,

I was using python 2.5.4 and I just installed python 2.6.2 and I’m sure of it.

python --version
Python 2.6.2

Unfortunatly, Blender keeps starting with Python 2.5.4.

/Applications/blender-2.49a-OSX-10.5-py2.5-intel/blender.app/Contents/MacOS/blender ; exit;
Compiled with Python version 2.5.4.
Checking for installed Python... got it!

The question is how to start Blender with Python 2.6.2 ?
(I’m able to model with Blender but 2.6.2 is mandatory for Yafaray)

Thanks is addvance.

From the yafaray download page:

Notes for Mac OSX:

This YafaRay version is compiled against Python 2.5.1-Apple, the pre-installed one! Don’t install any other Python versions.
Make sure you use a Blender Mac OS X version compiled with Python 2.5.
Important: read the OSX installation notes (included in the zip file as well).